Home | Tutorials | Wiki | Issues
Ask Your Question
0

Error in opening a world with gazebo

asked 2014-07-24 04:06:15 -0500

Moda gravatar image

When I tried to open my world with gazebo, gazebo src/coverage/coverage/worlds/willow-pr2-5cm.world it said :

Error [parser_urdf.cc:2722] Unable to load file[/home/lempereur/catkin_ws/src/coverage/coverage/worlds/willow-pr2-5cm.world].
Error [parser.cc:278] parse as old deprecated model file failed

I can't understand what is my mistake

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-07-24 19:58:58 -0500

scpeters gravatar image

If you are using the this version of willow-pr2-5cm.world, that will not work with gazebo. It looks like a stage file, not a gazebo world file. Try this world instead.

edit flag offensive delete link more

Comments

So I'm using groovy, which simulator should I use in order to open willowpr25cm.world?

Moda gravatar imageModa ( 2014-07-25 01:50:16 -0500 )edit

If you follow the instructions to install packages from packages.osrfoundation.org, then you can install ros-groovy-gazebo-ros-pkgs. See the gazebo ros tutorials here

scpeters gravatar imagescpeters ( 2014-07-25 12:31:40 -0500 )edit
Login/Signup to Answer

Question Tools

Stats

Asked: 2014-07-24 04:06:15 -0500

Seen: 151 times

Last updated: Jul 24 '14